import { RouteRecordDetailRaw } from '../routes.d';
export const title = "校端后勤管理系统"

export default <RouteRecordDetailRaw[]>[
  {
    "path": "/sbbx",
    "name": "-SBBX",
    "props": false,
    "meta": {
      "hidden": false,
      "breadcrumb": false,
      "sort": 0,
      "title": "设备报修"
    },
    "component": () => import('~/pages/xdhq/sbbx.vue'),
    "children": [
      {
        "path": "",
        "name": "-SBBX-INDEX",
        "props": false,
        "meta": {
          "hidden": false,
          "breadcrumb": false,
          "sort": 0,
          "title": "设备报修"
        },
        "component": () => import('~/pages/xdhq/sbbx/index.vue'),
        "redirect": null
      },
      // {
      //   "path": "bxw/:aid",
      //   "name": "-SBBX-BXW",
      //   "props": true,
      //   "meta": {
      //     "hidden": true,
      //     "breadcrumb": false,
      //     "sort": 1,
      //     "title": "被维修"
      //   },
      //   "component": () => import('~/pages/xdhq/sbbx/bxw.vue'),
      //   "redirect": null
      // },
      {
        "path": "bxlb",
        "name": "-SBBX-BXLB",
        "props": true,
        "meta": {
          "hidden": false,
          "breadcrumb": false,
          "sort": 1,
          "title": "报修类别"
        },
        "component": () => import('~/pages/xdhq/sbbx/bxlb.vue'),
        "redirect": null
      }
    ],
    "redirect": {
      "name": "-SBBX-INDEX"
    }
  },
  {
    "path": "/sbsg",
    "name": "-SBSG",
    "props": false,
    "meta": {
      "hidden": false,
      "breadcrumb": false,
      "sort": 1
    },
    "component": () => import('~/pages/xdhq/sbsg.vue'),
    "children": [
      {
        "path": "",
        "name": "-SBSG-INDEX",
        "props": false,
        "meta": {
          "hidden": false,
          "breadcrumb": false,
          "sort": 0,
          "title": "设备申购"
        },
        "component": () => import('~/pages/xdhq/sbsg/index.vue'),
        "redirect": null
      },
      {
        "path": "detail/:aid",
        "name": "-SBSG-DETAIL",
        "props": true,
        "meta": {
          "hidden": true,
          "breadcrumb": false,
          "sort": 1,
          "title": "设备申购详情"
        },
        "component": () => import('~/pages/xdhq/sbsg/detail.vue'),
        "redirect": null
      }
    ],
    "redirect": {
      "name": "-SBSG-INDEX"
    }
  },
  {
    "path": "/zyyy",
    "name": "-ZYYY",
    "props": false,
    "meta": {
      "hidden": false,
      "breadcrumb": false,
      "sort": 2,
      "title": "资源预约"
    },
    "component": () => import('~/pages/xdhq/zyyy.vue'),
    "children": [
      {
        "path": "cdlbgl",
        "name": "-ZYYY-CDLBGL",
        "props": false,
        "meta": {
          "hidden": false,
          "breadcrumb": false,
          "sort": 0,
          "title": "场地类别管理"
        },
        "component": () => import('~/pages/xdhq/zyyy/cdlbgl.vue'),
        "redirect": null
      },
      {
        "path": "cdgl",
        "name": "-ZYYY-CDGL",
        "props": false,
        "meta": {
          "hidden": false,
          "breadcrumb": false,
          "sort": 1,
          "title": "场地管理"
        },
        "component": () => import('~/pages/xdhq/zyyy/cdgl.vue'),
        "redirect": null
      },
      {
        "path": "yygl",
        "name": "-ZYYY-YYGL",
        "props": false,
        "meta": {
          "hidden": false,
          "breadcrumb": false,
          "sort": 2,
          "title": "预约管理"
        },
        "component": () => import('~/pages/xdhq/zyyy/yygl.vue'),
        "redirect": null
      },
      {
        "path": "shgl",
        "name": "-ZYYY-SHGL",
        "props": false,
        "meta": {
          "hidden": false,
          "breadcrumb": false,
          "sort": 3,
          "title": "审核管理"
        },
        "component": () => import('~/pages/xdhq/zyyy/shgl.vue'),
        "redirect": null
      }
    ],
    "redirect": {
      "name": "-ZYYY-CDLBGL"
    }
  },
  {
    "path": "/xcgl",
    "name": "-XCGL",
    "props": false,
    "meta": {
      "hidden": false,
      "breadcrumb": false,
      "sort": 3,
      "title": "校产管理"
    },
    "component": () => import('~/pages/xdhq/xcgl.vue'),
    "children": [
      {
        "path": "xcgllb",
        "name": "-XCGL-XCGLLB",
        "props": false,
        "meta": {
          "hidden": false,
          "breadcrumb": false,
          "sort": 0,
          "title": "校产类别管理"
        },
        "component": () => import('~/pages/xdhq/xcgl/xcgllb.vue'),
        "redirect": null
      },
      {
        "path": "xcgl",
        "name": "-XCGL-XCGL",
        "props": false,
        "meta": {
          "hidden": false,
          "breadcrumb": false,
          "sort": 1,
          "title": "校产管理"
        },
        "component": () => import('~/pages/xdhq/xcgl/xcgl.vue'),
        "children": [
          {
            "path": "",
            "name": "-XCGL-XCGL-INDEX",
            "props": false,
            "meta": {
              "hidden": false,
              "breadcrumb": false,
              "sort": 0,
              "title": "校产管理"
            },
            "component": () => import('~/pages/xdhq/xcgl/xcgl/index.vue'),
            "redirect": null
          },
          // {
          //   "path": "bjl/:aid",
          //   "name": "-XCGL-XCGL-BJL",
          //   "props": true,
          //   "meta": {
          //     "hidden": true,
          //     "breadcrumb": false,
          //     "sort": 1,
          //     "title": "被借领"
          //   },
          //   "component": () => import('~/pages/xdhq/xcgl/xcgl/bjl.vue'),
          //   "redirect": null
          // },
          // {
          //   "path": "bxw/:aid",
          //   "name": "-XCGL-XCGL-BXW",
          //   "props": true,
          //   "meta": {
          //     "hidden": true,
          //     "breadcrumb": false,
          //     "sort": 2,
          //     "title": "被维修"
          //   },
          //   "component": () => import('~/pages/xdhq/xcgl/xcgl/bxw.vue'),
          //   "redirect": null
          // }
        ],
        "redirect": {
          "name": "-XCGL-XCGL-INDEX"
        }
      }
    ],
    "redirect": {
      "name": "-XCGL-XCGLLB"
    }
  },
  {
    "path": "/jyly",
    "name": "-JYLY",
    "props": false,
    "meta": {
      "hidden": false,
      "breadcrumb": false,
      "sort": 4,
      "title": "借用领用"
    },
    "component": () => import('~/pages/xdhq/jyly.vue'),
    "children": [
      {
        "path": "xclb",
        "name": "-JYLY-XCLB",
        "props": false,
        "meta": {
          "hidden": false,
          "breadcrumb": false,
          "sort": 0,
          "title": "校产列表"
        },
        "component": () => import('~/pages/xdhq/jyly/xclb.vue'),
        "redirect": null
      },
      {
        "path": "jylb",
        "name": "-JYLY-JYLB",
        "props": false,
        "meta": {
          "hidden": false,
          "breadcrumb": false,
          "sort": 1,
          "title": "借用列表"
        },
        "component": () => import('~/pages/xdhq/jyly/jylb.vue'),
        "redirect": null
      },
      {
        "path": "lylb",
        "name": "-JYLY-LYLB",
        "props": false,
        "meta": {
          "hidden": false,
          "breadcrumb": false,
          "sort": 2,
          "title": "领用列表"
        },
        "component": () => import('~/pages/xdhq/jyly/lylb.vue'),
        "redirect": null
      }
    ],
    "redirect": {
      "name": "-JYLY-XCLB"
    }
  },
  {
    "path": "/splcsz",
    "name": "-SPLCSZ",
    "props": false,
    "meta": {
      "hidden": false,
      "breadcrumb": false,
      "sort": 5
    },
    "component": () => import('~/pages/xdhq/splcsz.vue'),
    "children": [
      {
        "path": "",
        "name": "-SPLCSZ-INDEX",
        "props": false,
        "meta": {
          "hidden": false,
          "breadcrumb": false,
          "sort": 0,
          "title": "审批流程设置"
        },
        "component": () => import('~/pages/xdhq/splcsz/index.vue'),
        "redirect": null
      }
    ],
    "redirect": {
      "name": "-SPLCSZ-INDEX"
    }
  }
]
